Loading...
Searching...
No Matches
Dune::Functions::BSplineLocalCoefficients< dim > Class Template Reference
Function space bases » Function space basis implementations

Attaches a shape function to an entity. More...

`#include <dune/functions/functionspacebases/bsplinebasis.hh>`

## Public Member Functions

void | init (const std::array< unsigned, dim > &sizes)
std::size_t | size () const
| number of coefficients
const LocalKey & | localKey (std::size_t i) const
| get i'th index

## Detailed Description

template<int dim>
class Dune::Functions::BSplineLocalCoefficients< dim >

Attaches a shape function to an entity.

The attachment uses the same order as for Qk elements. This does not provide sufficient information to compute global indices for the shape functions. However, it does allow to find all degrees of freedom that belong to the grid boundary, if the knot vector is open.

Note
  Currently only implemented for 1d and 2d grids. For higher dimensions you can still use the BSplineBasis, but you won't be able to find the degrees of freedom on the grid boundary.

Template Parameters

  dim | Dimension of the reference cube

## Member Function Documentation

## init()

template<int dim>

void Dune::Functions::BSplineLocalCoefficients< dim >::init | ( | const std::array< unsigned, dim > & | sizes | ) |

inline

## localKey()

template<int dim>

const LocalKey & Dune::Functions::BSplineLocalCoefficients< dim >::localKey | ( | std::size_t | i | ) | const

inline

get i'th index

## size()

template<int dim>

std::size_t Dune::Functions::BSplineLocalCoefficients< dim >::size | ( |  | ) | const

inline

number of coefficients

The documentation for this class was generated from the following file:

- bsplinebasis.hh